use super::super::data_types::*;
pub const CKK_RSA: CK_ULONG = 0x00000000;
pub const CKK_DSA: CK_ULONG = 0x00000001;
pub const CKK_DH: CK_ULONG = 0x00000002;
pub const CKK_ECDSA: CK_ULONG = 0x00000003;
pub const CKK_EC: CK_ULONG = 0x00000003;
pub const CKK_X9_42_DH: CK_ULONG = 0x00000004;
pub const CKK_KEA: CK_ULONG = 0x00000005;
pub const CKK_GENERIC_SECRET: CK_ULONG = 0x00000010;
pub const CKK_RC2: CK_ULONG = 0x00000011;
pub const CKK_RC4: CK_ULONG = 0x00000012;
pub const CKK_DES: CK_ULONG = 0x00000013;
pub const CKK_DES2: CK_ULONG = 0x00000014;
pub const CKK_DES3: CK_ULONG = 0x00000015;
pub const CKK_CAST: CK_ULONG = 0x00000016;
pub const CKK_CAST3: CK_ULONG = 0x00000017;
pub const CKK_CAST5: CK_ULONG = 0x00000018;
pub const CKK_CAST128: CK_ULONG = 0x00000018;
pub const CKK_RC5: CK_ULONG = 0x00000019;
pub const CKK_IDEA: CK_ULONG = 0x0000001A;
pub const CKK_SKIPJACK: CK_ULONG = 0x0000001B;
pub const CKK_BATON: CK_ULONG = 0x0000001C;
pub const CKK_JUNIPER: CK_ULONG = 0x0000001D;
pub const CKK_CDMF: CK_ULONG = 0x0000001E;
pub const CKK_AES: CK_ULONG = 0x0000001F;
pub const CKK_BLOWFISH: CK_ULONG = 0x00000020;
pub const CKK_TWOFISH: CK_ULONG = 0x00000021;
pub const CKK_SECURID: CK_ULONG = 0x00000022;
pub const CKK_HOTP: CK_ULONG = 0x00000023;
pub const CKK_ACTI: CK_ULONG = 0x00000024;
pub const CKK_CAMELLIA: CK_ULONG = 0x00000025;
pub const CKK_ARIA: CK_ULONG = 0x00000026;
pub const CKK_SHA512_224_HMAC: CK_ULONG = 0x00000027;
pub const CKK_SHA512_256_HMAC: CK_ULONG = 0x00000028;
pub const CKK_SHA512_T_HMAC: CK_ULONG = 0x00000029;
pub const CKK_VENDOR_DEFINED: CK_ULONG = 0x80000000;
